/* iPhone layout: 320px to 480px. Mobile Layout */

#prodPrice {
/* 	background-color:red; */
	display: inline-block;
}
.popup-option input,
textarea {
  border: none;
  box-sizing: border-box;
  margin: 0;
  outline: none;
  padding: 10px;
}

.popup-option input[type="button"] {
  -webkit-appearance: button;
  cursor: pointer;
}

.popup-option input::-webkit-outer-spin-button,
.popup-option input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

/* Product Set DIV */
.prodSetDesc {
	width: 100%;
	display: flex;
	color:#4f4f4f;
	size:1.2em;
	flex-direction: row;
	justify-content: center;
	margin-bottom: 20px;
}
.prodSetDiv {
	width: 100%;
/* 	background-color:gray; */
	display: flex;
	flex-direction: row;
	justify-content: center;
}
.buyAmt {
	position: absolute;
	top:0px;
	right:0px;
	width:25px;
	height:25px;
	margin:3px;
	padding-top:3px;	
	text-align: center;
	color:white;
	background-color:rgba(0, 169, 143, 1);	
	border: 1px #919191 solid;
	border-radius: 12px;
}
.prodSetCont {
	width:90px;
	height:90px;
	border:1px solid gray;
	border-radius:3px;
	margin:8px;
	background-color:#f6f6f6;
}
.prodSetCont:hover {
	border:2px solid #a47b08;
}
.prodSetCont img{
	width:100%;
	height: auto;
	padding:4px;
}

.input-group {
	margin: 10px 0;		
}
.prdextras{
	color:#b9b9b9;
	padding-left:15px;
}

.popup-option .input-group {
	display: flex;
	flex-direction: row;
	justify-content: center;
	border: 3px solid rgba(0, 138, 171, 0.0);
	padding:3px;
}

.input-group input[type='button'] {
  background-color: #dbdbdb;
  min-width: 60px;
  width: auto;
  transition: all 300ms ease;
}

.input-group .button-minus,
.input-group .button-plus {
  font-weight: bold;
  height: auto;
  padding: 0;
  width: 38px;
  position: relative;
}

.input-group .quantity-field {
  position: relative;
/*   left: -6px; */
  text-align: center;
  width: 62px;
  display: inline-block;
  font-size: 13px;
/*   margin: 0 0 5px; */
  resize: vertical;
  height: 100%;
}

.options-qty-field {
  position: relative;
  height: 35px;
  text-align: center;
  width: 55px;
  display: inline-block;
  font-size: 13px;
  margin: 0 15px 0 0;
  resize: vertical;
}

.button-plus {
/*   left: -13px; */
}

input[type="number"] {
  -moz-appearance: textfield;
  -webkit-appearance: none;
}
.sold-out-popup {
	position: absolute;
	padding: 5px;
	display: flex;
	justify-content: center;
	width: 100%;
	text-align: center;
	font-size: 1em;
	font-weight: bold;
	bottom: 40%;
	color: #292929;
	/* bottom: 40%; */
	background-color: rgba(213, 233, 221, 0.5);
}
.sold-out {
	position: absolute;
	padding:15px;
	width:95%;
	text-align: center;	
	font-size: 18px;
	font-weight: bold;
	color:#292929;
	bottom:40%;
	background-color:rgba(213, 233, 221, 0.5);
}

.popup-options-cont {
	position: fixed;
	display: flex;
	flex-direction: column;
	bottom:0px;
	height: auto;
	width: 100%;
	text-align: center;
	text-color: white;
	left:0px;
	background-color:rgba(0, 138, 171, 0.80);	
}
.tickLeftNav {
	color:white;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding-top: 0px;
	font-size: 1.2em;
}
.tickRightNav {
	color:white;
	font-size:1em;
	margin-bottom:30px;
}

.popup-option {
	width: 100%;
	height: auto;
}
.popup-ticker {
	display:flex;
	justify-content: center;
	flex-direction: column;
	width:auto;
}
.addProdImg {
	width:100%;
	display: flex;
	align-items: center;
	justify-content: center;
}
/* iPhone layout: 320px to 480px. Mobile Layout */
.addProdImg img {
	width:50px;
}

.prodCat {	
	font-size: 2em;
	text-align: center;
	color: black;
/* 	background-color:#008AAB; */
	border:solid 1px #008AAB;
	border-width: 0 0 2px 0;
	padding:10px 0 4px 16px;
	margin: 30px 0 5px 0;
}
#pickSect {
	background-color:blue;
	width:auto;
	height: auto;	
}

#ivtyRequest {
	padding:20px;
}
/* Provider details */
.popTxtShell {
	width:auto;
	margin:6px;
}
.prvDetails {
	text-align: left;
	float: left;	
	width:100%;
	padding: 10px 20px 30px 20px;
	margin:10px 0px;
	border:1px solid #dedddd;
	background-color:#f5f5f5;
	display: flex;
	flex-direction: column;
}
.prvDetailsShell {
	display: inline-block;
	display: flex;
	flex-direction: row;

}
.prcResult {
	padding:8px;
}
.prvTitle {
	font-size: 1.4em;
	text-align: center;
	padding:5px;
	margin-bottom: 20px;
}
.prvSpacing {	
	padding:5px;
	display: inline-block;
}
.prvSpacing input {
	margin:5px;
}

.prvSpacing textarea {
	margin:5px 0px;
}

#prvInpName {
	display: inline-block;
	width:auto;
}
#prvInpSKU {
	width:auto;
}
#prvInpDesc {
	width:100%;
	background-color: white;
	text-align: left;
	margin-bottom: 20px;
}
.reqHighlight {
	width: 100%;
	padding: 5px 10px;
	background-color: #ffba00;
	border-radius: 10px;	
}
.reqHighlight h2 {
	color:black;
}
.setLoc {
	text-align: left;
	float: left;	
}
#tf-notes {
	float:left;
	width: 90%;
	margin:0 0 20px 0;
}
#reg-notes {
	float:left;
	width: 95%;
	margin:0 0 20px 0;
}


#pchID  {
	float:left;
	width: 150px;
/* 	margin:0 0 20px 0; */
}
.closeX {
	position: absolute;	
	float: right;
	right:5px;
	top: 5px;
	width: 30px;
	height: 30px;
	color: black;
	margin:5px;
	background-size:30px 30px;
	background-image:url('../../page/images/closeBtn.png');
	cursor: pointer;
	z-index: 203;
}
.closeX:hover {
	opacity: 0.5;
}
.closeXW {
	position: absolute;	
	float: right;
	right:5px;
	top: 5px;
	width: 30px;
	height: 30px;
	color: black;
	margin:5px;
	background-size:30px 30px;
	background-image:url('../../page/images/closeBtnW.png');
	cursor: pointer;
	z-index: auto;
}
.closeXW:hover {
	opacity: 0.5;
}

.flex-lineContainer {
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;
	justify-content: left;
}
.flex-gridContainer {
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;	
	justify-content: center;
}
.flex-gridBox {
	position: relative;
	display: flex;
	flex-direction: row;
	width: 100%;
	height: 200px;
	padding:10px;
	margin:8px;
	border: solid #e6e6e6;
	border-width: 1px;
	background-color:#fff;
	cursor:default;
}
.flex-gridBox:hover {
	border: solid 1px #008AAB;
}
.savegrid {
	display: fixed;
	color:white;
	cursor: pointer;
	text-align: center;
	font-size:1.2em;
	padding:5px;
	clear: both;
	background-color:green;
}
.published {
	position: absolute;	
	width: 25px;
	height: 25px;
	right:10px;
	bottom:10px;
}
.uploadImage {
	position: absolute;
	float:left;
	left:20px;
	z-index: 1;
/* 	top:10px; */
}
/****** START GRID LINE *******/
.gridline-imgCont {
/* 	max-width: 20px; */
	width: 20%;
	height: 100px;
	background-color: red;
}
.gridline-imgCont img{
/* 	width:100%; */
    height:100%;
}
.gridline-desc {
	width: 70%;
}
/****** END GRID LINE *******/
.gridBox-imgCont {
	display: block;
	flex-direction: row;
	justify-content: left;
	width: 150px;
}
.gridBox-promo {
	position: absolute;
	top: 40%;
	right: 2%;
	width:100px;
	height:100px;
}
.gridBox-promo img {
	width:100%;	
}
.gridBox-imgCont img{
	max-width:160px;
    max-height:150px;
}
.gridBox-prodName {
/* 	height:45px; */
}
.gridBox-prodDesc {
	height:90px;
}
.gridBox-prodPrice {
	position: absolute;
	bottom:5px;
}
.gridBox-imgCont h1, h2, h3 {text-align: left; color: black; font-size: 1.2em; }

.gridBox-desc {
	width: 400px;
	height: 100px;
	text-align: left;
	font-size: 12px;
	padding:1px;
}
.gridBox-desc h1 {
	font-size: 1.55em;
	color: #242424;
}
.gridBox-desc h2 {
	font-size: 1.2em;
	color: #808080;
}
.gridBox-desc h3 {
	margin:5px;
	font-size: 1.3em;
	color: rgba(0, 138, 171, 1);
	
}


.popup-content h1, .popup-content h2, .popup-content h3, .popup-content h4, .popup-content h5, .popup-content h6 {color: black;}

.popup-content h1 {
	font-weight: bold;
	font-size: 1.6em;
	color: #008AAB;
	text-align: center;
}
.popup-content h2 {
	color: #808080;
	font-size: 1em;
	text-align: center;
}
.popup-content h3 {
	margin: 5px;
	color: #000;
	font-size: 1.7em;
	font-weight: bold;
	text-align: center;
}

.poptions-header h1 {
	text-align: left;
	font-size: 1.3em;
	width: 100%;
	color:#3c3c3c;
}
.poptions-header h2 {
	text-align: left;
	font-size: 1.2em;
	color:#3c3c3c;
}

.popup-content p {
	text-align: left;
	font-size: 1.1em;
/* 	height:40vh; */
}

#popup-prod-shell {
	padding-bottom:60px;
	overflow-y: auto;	
	width:100%;
}

.popup-content {
	position: absolute;
	color: black;
	display: flex;
	flex-direction: column;
	color: #000;
	background-color: #fff;
	width: 100%;
	height:88vh;
	background-repeat:repeat;
	position: relative;
/* 	border: solid 2px #008AAB; */
	border-radius: 5px;
	margin: 0 auto;
/* 	padding:15px; */
	z-index: 202;
}
.popup-upload {
	top:0px;
	height:95vh;
/* 	border-top: white solid 1px; */
}
.popup-fullsize {
	width:100vw;
	height:80vh;
}
.popup-desc {
	text-align: left;
	width: 100%;
	height:auto;
	padding:0 20px;
	margin-bottom: 20px;
}
.popup-options {
	text-align: left;
	width: 100%;
	height:auto;
	padding:0 0 80px 0;	
}

.poptions-header {
	text-align: left;
	width: 100%;
	background-color:rgba(0, 138, 171, 0.10);
	padding: 10px 20px;
}
.poptions-content {
	text-align: left;
	width: 100%;
	padding: 10px 20px;
	font-size: 1.2em;
}

.popup-img {
	display: flex;
	flex-direction: row;
	justify-content: center;
	width: auto;
	width: 100%;
	padding: 35px 0px 20px 0px;
}
	.popup-img img {
		height: 35vh;
		width: auto;
	}
	
.popup-promo {
	position: absolute;
	right:5%;
	top:3%;
	width:120px;
	height:120px;
	z-index:2;
/* 	background-color: blue; */
}
	.popup-promo img{
		width: 100%;
		height: auto;
	}
	
/* Tablet Layout: 481px to 768px. Inherits styles from: Mobile Layout. */
@media only screen and (min-width: 481px) {	
	.popup-promo {
		width:180px;
		height:180px;
		z-index:2;
	}
	.popup-upload {
		height:91vh;
	}
	.tickRightNav {
		margin-bottom:0px;
		padding:10px;
		color:white;
		font-size:1.3em;
	}
	.popup-content h1 {
		font-size: 1.8em;
	}
	.poptions-header {
		padding: 10px 45px;
	}
	.poptions-content {
		padding: 10px 45px;
		font-size: 1.2em;
	}
	.poptions-header h1 {
		text-align: left;
		font-size: 1.2em;
	}
	.poptions-header h2 {
		text-align: left;
		font-size: 1.2em;
	}
	.popup-options-cont {
		padding-top: 5px;
/* 		bottom:20px; */
		flex-direction: row;
		position: absolute;
		width: 100%;
		height: auto;
	}
	.popup-content p {
		font-size: 1.2em;
	}
	.gridBox-desc {
/* 		width: 210px; */
		height: 170px;
	}
	
	.gridBox-prodDesc {
		margin-bottom: 5px;
		height:90px;
		overflow-y: auto;
	}
	.gridBox-prodPrice {
		position: absolute;
		height: 20px;
		padding-top:5px;
		bottom:15px;
	}
	.gridBox-price {
		width: 300px;
		height: 30px;
	}	
	.gridBox-desc h2 {
		color: #282828;
		font-size: 1.25em;
	}
	.gridBox-desc h3 {
		margin:5px;
		font-size: 1.4em;
/* 		color: #282828; */
	}
	.popup-img img {
/* 		display: block; */
		max-height: 270px;
		width: auto;
		height: 100%;
	}
	.popup-img {
		width: 100%;
	}	
	.popup-desc {	
		padding:0 50px;
		text-align: left;
	}
	.popup-options {
		
	}
	.gridBox-imgCont {
		display: block;
		width: 120px;		
/* 		background-color:red; */
	}
	.gridBox-imgCont img{
		max-width:175px;
		max-height: 180px;
/* 	    height:auto; */
	}
	.gridBox-imgCont h3 {
		color:#11B79D;
	}
	
}


/* Desktop Layout: 769px to a max of 1920px.  Inherits styles from: Mobile Layout and Tablet Layout. */
@media only screen and (min-width: 769px) {
	.gridBox-desc {
		width: 210px;	
		height: 170px;
	}
	.popup-fullsize {
		width:90vw;
		height:80vh;
	}
	
	.popup-options-cont {	
		bottom:0px;	
		width: 100%;
	}
	.flex-line {
		width: 100%;
	}
	.flex-gridBox {
		width: 400px;
		margin: 5px 10px 5px 10px;
	}	
	.popup-content {
		color: black;
		display: flex;
		flex-direction: row;
		justify-content: center;
		height: calc();
	}		
	
	.popup-content h1{
		font-weight: bold;	
		text-align: center;
	}
	.popup-content h2{
		color: #808080;
		font-size: 1.2em;
		text-align: center;
	}
	.popup-content h3{
		text-align: center;
		font-size: 1.7em;
	}
	.popup-content h1 {
		font-size: 1.8em;
	}
	.poptions-header h1 {
		text-align: left;
	}
	.poptions-header h2 {
		text-align: left;
	}
	.popup-img {
		display: flex;
		flex-direction: row;
		justify-content: center;
		height: auto;
	}
	.popup-img img {
		max-height: 400px;
		width: auto;
		height: 100%;		
		padding:10px;
	}
	
	.popup-desc {
		text-align: left;
		max-height: auto;
		overflow-y: auto;
	}
}
